---
title: DOMPoint.DOMPoint()
slug: Web/API/DOMPoint/DOMPoint
tags:
  - API
  - Constructor
  - Coordinates
  - DOM
  - DOMPoint
  - Geometry
  - Geometry Interfaces
  - Point
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p><span class="seoSummary">The <strong><code>DOMPoint()</code></strong> constructor creates and returns a new {{domxref("DOMPoint")}} object, given the values for some or all of its properties.</span></p>

<p>You can also create a <code>DOMPoint</code> by calling the {{domxref("DOMPoint.fromPoint()")}} static function. That function accepts as input a {{domxref("DOMPointInit")}} compatible object, including a <code>DOMPoint</code> or {{domxref("DOMPointReadOnly")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>point</em> = new DOMPoint(<em>x</em>, <em>y</em>, <em>z</em>, <em>w</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>x</code> {{optional_inline}}</dt>
 <dd>The <code>x</code> coordinate for the new <code>DOMPoint</code>.</dd>
 <dt><code>y</code> {{optional_inline}}</dt>
 <dd>The <code>y</code> coordinate for the new <code>DOMPoint</code>.</dd>
 <dt><code>z</code> {{optional_inline}}</dt>
 <dd>The <code>z</code> coordinate for the new <code>DOMPoint</code>.</dd>
 <dt><code>w</code> {{optional_inline}}</dt>
 <dd>The perspective value of the new <code>DOMPoint</code>.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>This example creates a <code>DOMPoint</code> representing the top-left corner of the current window, then creates a second point based on the first, which is then offset by 100 pixels both vertically and horizontally.</p>

<pre class="brush: js">var windTopLeft = new DOMPoint(window.screenX, window.screenY);
var newTopLeft = DOMPoint.fromPoint(windTopLeft);
newTopLeft.x += 100;
newTopLeft.y += 100;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Geometry Interfaces', '#dom-dompoint-dompoint', 'DOMPoint()')}}</td>
   <td>{{Spec2('Geometry Interfaces')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DOMPoint.DOMPoint")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("DOMPointReadOnly.DOMPoint", "DOMPointReadOnly()")}}</li>
 <li>{{domxref("DOMRect")}}</li>
 <li>{{domxref("DOMMatrix")}}</li>
</ul>
